Bug 189668 - The "fence" package needs the "perl-Crypt-SSLeay" package
The "fence" package needs the "perl-Crypt-SSLeay" package
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-04-22 08:48 EDT by Troels Arvin
Modified: 2009-04-16 16:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-05 16:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Troels Arvin 2006-04-22 08:48:00 EDT
Description of problem:
In my system message log, I saw a lot of messages like this:
Apr 22 12:27:31 HOSTNAME fenced[2643]: agent "fence_ilo" reports: Net::SSL.pm or
Net::SSLeay::Handle.pm not found. Please install the perl-Crypt-SSLeay package
from RHN (http://rhn.redhat.com) or Net::SSLeay from CPAN (http://www.cpan.org)

It seems the fence_ilo script needs the perl-Crypt-SSLeay module to function
properly. So I suggest that perl-Crypt-SSLeay be added to the "fence" package's
list of required RPMs.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. In a two-node cluster using HP ILOs as fencing devices, shut down both nodes.
2. Start one of the nodes.
3. Watch the system messages on the node which has been started.

(There are probably other ways to reproduce the problem.)
Comment 1 Jim Parsons 2006-05-04 08:56:01 EDT
This is a known dependency and is documented as such.
Comment 3 Bryn M. Reeves 2007-03-06 08:32:55 EST
Regardless of documentation this is a package dependency and should be recorded
as such by RPM.

Unlike the other perl packages used by fence this one doesn't get picked up by
RPMs dependency generator:

$ rpm -q --requires fence
... ( file & .so cruft trimmed ) ...
... ( file & .so cruft trimmed ) ...

This seems to be because there is no "use" directive for the perl-Crypt-SSLeay
module (this is what triggers RPM's dep finder).

The easy way to fix this is by adding an explicit Requires for the module to the
package spec file:

Requires: perl(Crypt::SSLeay)

I've tested this and it gives expected behavior. Adding a "use Net::SSLeay" line
in fence- achieves the same net result but seems
to go against the way the script tries to use the module.

This causes problems for users who rely on automatic dependency resolution when
setting up clusters as it leaves an unsatisfied dependency and broken fencing.

If there's some reason why this dependency would be harmful, can we find out
what it is so that it can be properly documented?

Comment 10 David Juran 2007-09-06 05:28:36 EDT
I agree with Bryn, bug 280191 created against Fedora devel.
Comment 11 Jim Parsons 2007-09-06 10:41:43 EDT
Fencing is an area best left as is. Changing the distribution structure for this
ticket would just cause confusion for the many existing cluster users. There are
enough 'rock the boat' changes between major releases as it is; changing the way
fencing is installed and requiring that customers understand this change (now,
and whenever they wish to modify their fencing configuration down the road)
because of this ticket is ridiculous. This is the very first ticket of this
nature I recall seeing in my 5 year tenure as fence package maintainer. Not an
issue - closing.

Note You need to log in before you can comment on or make changes to this bug.